org.jgroups.util

## Class MarshallerPool

- java.lang.Object
- - org.jgroups.util.MarshallerPool

Deprecated.

    @Deprecated
    public class MarshallerPool
    extends java.lang.Object

Provides a pool of output streams so we can do lock striping and have faster marshalling this way.

Author:
  Bela Ban

### Constructor Summary

Constructors
Constructor and Description
`MarshallerPool(int pool_size, int initial_size)` Deprecated.

### Method Summary

Methods
`void` `close()` Deprecated. Closes all output streams.
`int[]` `getCapacities()` Deprecated.
`Triple<java.util.concurrent.locks.Lock,ExposedByteArrayOutputStream,ExposedDataOutputStream>` `getOutputStream()` Deprecated. Returns a random output stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MarshallerPool

    public MarshallerPool(int pool_size,
                  int initial_size)

Deprecated.

### Method Detail

#### getOutputStream

    public Triple<java.util.concurrent.locks.Lock,ExposedByteArrayOutputStream,ExposedDataOutputStream> getOutputStream()

Deprecated.
Returns a random output stream. To use it, the lock needs to be acquired. When done, it also needs to be released again.

Returns:

#### getCapacities

    public int[] getCapacities()

Deprecated.

#### close

    public void close()

Deprecated.
Closes all output streams. This releases the memory held by them